import request from '@/config/axios'

// 专业 VO
export interface MajorVO {
  id: number // id
  nameCn: string // 专业名称
  nameEn: string // 专业英文名称
  status: number // 帐号状态（0正常 1停用）
}

// 专业 API
export const MajorApi = {
  // 查询专业分页
  getMajorPage: async (params: any) => {
    return await request.get({ url: `/menduner/system/major/page`, params })
  },

  // 查询专业详情
  getMajor: async (id: number) => {
    return await request.get({ url: `/menduner/system/major/get?id=` + id })
  },

  // 新增专业
  createMajor: async (data: MajorVO) => {
    return await request.post({ url: `/menduner/system/major/create`, data })
  },

  // 修改专业
  updateMajor: async (data: MajorVO) => {
    return await request.put({ url: `/menduner/system/major/update`, data })
  },

  // 删除专业
  deleteMajor: async (id: number) => {
    return await request.delete({ url: `/menduner/system/major/delete?id=` + id })
  },

  // 导出专业 Excel
  exportMajor: async (params) => {
    return await request.download({ url: `/menduner/system/major/export-excel`, params })
  }
}